Isi

# AscW Function [VBA]

Mengembalikan nilai Unicode karakter pertama dalam ekspresi string.

This constant, function or object is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Sintaksis:

    AscW (string) As Long

### Return type:

Long

### Parameter:

string: Any valid string expression. Only the first character in the string is relevant.

Gunakan fungsi AscW untuk mengganti kunci dengan nilai Unicode. Jika fungsi AscW menemukan string kosong, LibreOffice Basic melaporkan kesalahan run-time. Nilai yang dikembalikan adalah antara 0 dan 65535.

### Kode kesalahan:

5 Tidak sah dalam pemanggilan prosedur

### Contoh:

    Sub ExampleAscW
     Print AscW("A") ' menghasilkan 65
     Print AscW(string:="Ω") ' returns 937
     Cetak AscW("Αθήνα") ' mengembalikan 913, karena hanya karakter pertama (Alpha) yang diperhitungkan
    End Sub

Topik Terkait

Asc Function (BASIC)

Chr Function

ChrW Function [VBA]